10
ответов

rc.local ничего не выполняет

У меня только доступ к SFTP и SSH-доступ, это виртуальный сервер с Ubuntu 16.04. Я пытаюсь запустить jekyll для автоматического запуска при каждом запуске / перезагрузке сервера. В ssh-терминале я могу просто ввести cd / ...
вопрос задан: 28 March 2018 22:11
10
ответов

Первый раз Ruby Jekyll Bundler Setup на 16.04 - установлено несколько наборов

Я пытаюсь встать и работать с рубином и жемчугом в моем новом экземпляре Ubuntu 16.04. usernamehere @ usernamehere-hp: ~ / workspace / username.github.io $ ls -la / usr / local / bin / bundler -...
вопрос задан: 19 April 2017 01:55
3
ответа

Как установить jekyll?

Согласно сайту jekyll, вот как вы создаете новый сайт с jekyll: ~ $ gem install jekyll ~ $ jekyll new myblog ~ $ cd myblog ~ / myblog $ jekyll serve gem install jekyll не работает, и ...
вопрос задан: 13 April 2017 12:25
2
ответа

Не удалось настроить Jekyll In Ubuntu?

после обновления до 14.04, Ruby был понижен до 1.8.3, поэтому я попытался выполнить обновление с помощью следующих команд. sudo apt-get install libgdbm-dev libncurses5-dev automake libtool bison libffi-dev curl -L ...
вопрос задан: 18 April 2014 16:27
2
ответа

Как исправить ошибку «jekyll: command not found»?

Я установил Ruby, RVM и Jekyll, следуя этому руководству, и все работает отлично после выполнения этих шагов. Моя проблема в том, что каждый раз, когда я открываю новое окно терминала и хочу, чтобы Jekyll перестраивал ...
вопрос задан: 3 April 2014 08:50
1
ответ

Как начать работу с Jekyll на Ubuntu 16.04?

Я следил за официальной документацией: он приводит к следующей ошибке: orschiro @ x230: ~ / Desktop $ sudo gem install jekyll bundler Создание собственных расширений. Это может занять некоторое время ... ОШИБКА: ...
вопрос задан: 6 September 2016 12:05
1
ответ

Jekyll сломан после обновления Ubuntu / Ruby

Я использую Jekyll на своем ноутбуке Ubuntu. Он работал с 15.10. Я обновил до 16.04, и получил это сообщение об ошибке: $ jekyll -v bash: / usr / local / bin / jekyll: /usr/bin/ruby2.1: плохой интерпретатор: нет файла или ...
вопрос задан: 21 June 2016 07:40
1
ответ

Что означает «jekyll 2.4.0 | Ошибка: Permission denied - / sys / fs / ext4 / sda1 / trigger_fs_error 'означает

Я пытаюсь запустить пользовательские страницы GitHub с Jekyll, но каждый раз, когда я запускаю приложение exec jekyll, я получаю следующую ошибку: jekyll 2.4.0 | Ошибка: Permission denied - / sys / fs / ext4 / sda1 / ...
вопрос задан: 28 January 2015 20:24
1
ответ

jekyll не уважает _config.yml & mdash; возможно обновление?

Ubuntu 14.04 | default ruby ​​1.9.1 | Jekyll 0.11.2 Jekyll не соблюдает ряд моих настроек в _config.yml. Я предполагаю, что это потому, что текущая версия Jekyll (gem) - 2.3.0, но я мог бы быть ...
вопрос задан: 6 September 2014 22:19
0
ответов

bundler: не удалось загрузить команду: jekyll

У меня есть Jekyll, установленный на моем компьютере LTS Ubuntu 14.04.5, и он работает нормально, но теперь, когда я запускаю пакет jekyll, я получаю следующую ошибку: /home/julius/vendor/bundle/ruby/2.3.0/gems/. ..
вопрос задан: 26 December 2017 19:31